Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreElementGradientDestroy

frees the gradient for a single 1d GLL element obtained with `PetscGaussLobattoLegendreElementGradientCreate()`

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementGradientDestroy(PetscInt n, PetscReal nodes[], PetscReal weights[], PetscReal ***AA, PetscReal ***AAT)

Not Collective

## Input Parameters

- n - the number of GLL nodes

- nodes - the GLL nodes, ignored

- weights - the GLL weights, ignored

- AA - the stiffness element obtained with `PetscGaussLobattoLegendreElementGradientCreate()`

- AAT - the transpose of the element obtained with `PetscGaussLobattoLegendreElementGradientCreate()`

## See Also

`PetscDTGaussLobattoLegendreQuadrature()`, `PetscGaussLobattoLegendreElementLaplacianCreate()`, `PetscGaussLobattoLegendreElementAdvectionCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages